/**
 * Copyright (c) 2017-present, Facebook, Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */

// See https://docusaurus.io/docs/site-config for all the possible
// site configuration options.

// List of projects/orgs using your project for the users page.
const users = [
    {
        caption: "User1",
        // You will need to prepend the image path with your baseUrl
        // if it is not '/', like: '/test-site/img/logo.svg'.
        image: "/img/logo.svg",
        infoLink: "https://www.facebook.com",
        pinned: true,
    },
];

const siteConfig = {
    title: "Documentation", // Title for your website.
    tagline:
        "An unopinionated system of components, development tools, and utilities used à la carte or as a suite to build enterprise-grade websites and applications.",
    url: "https://www.fast.design", // Your website URL
    baseUrl: "/",
    // Base URL for your project */
    // For github.io type URLs, you would set the url and baseUrl like:
    //   url: 'https://facebook.github.io',
    //   baseUrl: '/test-site/',

    // Used for publishing and more
    projectName: "fast-dna",
    organizationName: "Microsoft",
    // For top-level user or org sites, the organization is still the same.
    // e.g., for the https://JoelMarcey.github.io site, it would be set like...
    //   organizationName: 'JoelMarcey'

    // For no header links in the top nav bar -> headerLinks: [],
    headerLinks: [
        { doc: "en/contributing/install", label: "Guide" },
        { href: "https://github.com/microsoft/fast-dna", label: "GitHub" },
        { href: "https://explore.fast.design", label: "Components" },
        // {doc: 'doc4', label: 'API'},
        // {page: 'help', label: 'Help'},
        // {blog: true, label: 'Blog'},
    ],

    // If you have users set above, you add it here:
    users,

    /* path to images for header/footer */
    headerIcon: "img/logo.svg",
    footerIcon: "img/logo.svg",
    favicon: "img/favicon/favicon.ico",

    /* Colors for website */
    colors: {
        primaryColor: "#1A1A1A",
        secondaryColor: "#FB356D",
    },

    /* Custom fonts for website */
    /*
  fonts: {
    myFont: [
      "Times New Roman",
      "Serif"
    ],
    myOtherFont: [
      "-apple-system",
      "system-ui"
    ]
  },
  */

    // This copyright info is used in /core/Footer.js and blog RSS/Atom feeds.
    copyright: `© Microsoft ${new Date().getFullYear()}`,

    highlight: {
        // Highlight.js theme to use for syntax highlighting in code blocks.
        theme: "atom-one-dark",
    },

    // Add custom scripts here that would be placed in <script> tags.
    scripts: ["https://buttons.github.io/buttons.js"],

    // On page navigation for the current documentation page.
    onPageNav: "separate",
    // No .html extensions for paths.
    cleanUrl: true,

    // Open Graph and Twitter card images.
    ogImage: "img/logo.png",
    twitterImage: "img/logo.png",

    // Show documentation's last contributor's name.
    enableUpdateBy: true,

    // Show documentation's last update time.
    enableUpdateTime: true,

    // You may provide arbitrary config keys to be used as needed by your
    // template. For example, if you need your repo's URL...
    //   repoUrl: 'https://github.com/facebook/test-site',
};

module.exports = siteConfig;
